This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 728730 - console_check does not recognize Freescale i.MX serial ports
console_check does not recognize Freescale i.MX serial ports
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
14
arm7 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
: EasyFix, Patch
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2011-08-06 14:14 EDT by Niels de Vos
Modified: 2014-03-16 23:28 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 12:49:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Add support for the Freescale i.MX serial ports (336 bytes, patch)
2011-08-06 14:14 EDT, Niels de Vos
no flags Details | Diff

  None (edit)
Description Niels de Vos 2011-08-06 14:14:07 EDT
Created attachment 517005 [details]
Add support for the Freescale i.MX serial ports

Description of problem:
The Freescale i.MX chips provide a /dev/ttymxc style serial ports. console_check does not know about these and prevents access over a serial console.


Version-Release number of selected component (if applicable):
initscripts-9.20.2-1.fc14


How reproducible:
100%


Steps to Reproduce:
1. configure a Freescale i.MX system (like Genesi Smarttop/Smartbook) to login over serial console (kernel parameter "console=ttymxc,115200")
2. boot the system
3. see all the boot-messages scroll
4. after successful boot, there is no login-prompt
  
Actual results:
A login-prompt is not provided.

Expected results:
A login-prompt is available.

Additional info:
This only affects Fedora 14 and below, Fedora 15 uses systemd to configure the serial consoles and does not require any changes. See also Bug 678875.

I've built a test-package (http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=142969 , http://repos.fedorapeople.org/repos/devos/arm-fixes/fedora-14/SRPMS/initscripts-9.20.2-1.fc14.1.ttymxc.src.rpm) containing this patch and can confirm that this change makes login over the serial console possible.
Comment 1 Bill Nottingham 2011-08-08 12:01:48 EDT
Added in rawhide, not that it's really used there. Merged onto F-15 and F-14 branches upstream.

Note that you'll need this in systemd for F-15+.
Comment 2 Niels de Vos 2011-08-08 13:46:06 EDT
I think there is no need to add support for this in systemd. Comment #4 in bug 678875 contains a little description.

Thanks for your prompt response!
Comment 3 Bill Nottingham 2011-08-08 13:50:49 EDT
OK. Do you need this in an official F-14 update, or can you carry this on your secondary arch?
Comment 4 Niels de Vos 2011-08-08 14:26:38 EDT
An update would be much appreciated. An alpha release for F-14 ARM is being worked on, and the normal updates will be made available in the future. The less ARM-specific changes that need to be thought of, the better.

This is not a blocker, but will benefit the testing on systems with this chip quite a lot. If other F-14 bugs for initscripts will be updated soon, this can wait, its not urgent.
Comment 5 Fedora End Of Life 2012-08-16 12:49:50 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.